import { ButtonHTMLAttributes, ReactNode } from 'react';
import { ComponentWithLinkProps } from 'components/utility';
export interface ButtonProps extends ButtonHTMLAttributes<HTMLButtonElement> {
    variant?: ButtonVariant;
    children?: ReactNode;
    color?: ButtonColor;
    shouldNotStyleText?: true;
    className?: string;
}
export declare enum ButtonVariant {
    DEFAULT = "default",
    PRIMARY = "primary"
}
export declare enum ButtonColor {
    YELLOW = "yellow",
    BLUE = "blue",
    GREEN = "green",
    ORANGE = "orange",
    RED = "red",
    BLACK = "black"
}
declare type ButtonWithLinkProps = ButtonProps & ComponentWithLinkProps;
export declare const Button: (props: ButtonProps | ButtonWithLinkProps) => JSX.Element;
export {};
