/// <reference types="react" />
import { ComponentWithLinkProps } from 'components/utility';
import { GeneralImageProps } from '../Image.utils';
export declare enum TextColor {
    LIGHT = "light",
    DARK = "dark"
}
export declare enum GradientColor {
    GREEN = "green",
    YELLOW = "yellow",
    BLUE = "blue",
    BLACK = "black"
}
export interface LinkWithThumbnailProps extends GeneralImageProps, ComponentWithLinkProps {
    linkPosition: LinkPosition;
    title: string;
    textColor?: TextColor;
    gradientColor?: GradientColor;
    className?: {
        title?: string;
        overlay?: string;
        outerDiv?: string;
    };
}
export declare enum LinkPosition {
    INSIDE_BOTTOM_LEFT = "inside-bottom-left",
    OUTSIDE_BOTTOM_CENTER = "outside-bottom-center"
}
export declare const LinkWithThumbnail: ({ link, shouldOpenInNewTabOverride, imageUrl, alt, title, linkPosition, gradientColor, className, textColor }: LinkWithThumbnailProps) => JSX.Element;
